#ifndef BLUETOOTHPROJ_H
#define BLUETOOTHPROJ_H

#include "BluetoothA2DPSink.h"
#include "esp_avrc_api.h"
#include "AudioTools.h"

class BluetoothSetup {
public:
    static void initializeBluetooth();
    static void pause(); // Wrapper for pause
    static void play();  // Wrapper for play
    static void next();  // Wrapper for next
    static void previous();  // Wrapper for previous
    static void avrc_metadata_callback(uint8_t id, const uint8_t *text);
    static void receiveMetadata();
private:
    static AnalogAudioStream out;
    static BluetoothA2DPSink a2dp_sink;
};

BluetoothA2DPSink BluetoothSetup::a2dp_sink(out);
AnalogAudioStream BluetoothSetup::out;
void avrc_metadata_callback(uint8_t id, const uint8_t *text) {
  Serial.printf("==> AVRC metadata rsp: attribute id 0x%x, %s\n", id, text);
}
void BluetoothSetup::initializeBluetooth() {
    Serial.begin(115200);
    //a2dp_sink.set_avrc_metadata_callback(avrc_metadata_callback);
    a2dp_sink.start("Retrofit_Car");
    //Serial.println("The code will give 10 seconds to connect with bluetooth, then pause for 5 seconds and play for 10 seconds");
    delay(10000); // gives time to connect with bluetooth
}
// Implementation of pause
void BluetoothSetup::pause() {
    a2dp_sink.pause();
}

// Implementation of play
void BluetoothSetup::play() {
    a2dp_sink.play();
}
void BluetoothSetup::next() {
    a2dp_sink.next();
}
void BluetoothSetup::previous() {
    a2dp_sink.previous();
}
void BluetoothSetup::receiveMetadata(){
    a2dp_sink.set_avrc_metadata_callback(avrc_metadata_callback);
}

#endif // BLUETOOTHPROJ_H
