#ifndef ULTRASONICPROJ_H
#define ULTRASONICPROJ_H

#include "DFRobot_URM09.h"
#include <cstdint> // For int16_t

class UltrasonicProj{  
public:
    static void setUpFunctionUltrasonics();
    static float receiveTemperature();
    static int16_t receiveUltraOne();
    static int16_t receiveUltraTwo();
    static int16_t receiveUltraThree();
    static int16_t receiveUltraFour();
    static int16_t receiveUltraFive();
    static int16_t receiveUltraSix();
private:
    static DFRobot_URM09 URM09;
};

DFRobot_URM09 UltrasonicProj::URM09;

void UltrasonicProj::setUpFunctionUltrasonics(){
    Serial.begin(38400);
    URM09.setModeRange(MEASURE_MODE_PASSIVE ,MEASURE_RANG_500);  
    URM09.begin(); //check if needed to start with an address
    //Set up addresses
    delay(100);
}
float UltrasonicProj::receiveTemperature(){
    int16_t address = 0x14;
    //URM09.beginTran(address);
    URM09.begin(address);
    URM09.measurement();
    float temp = URM09.getTemperature();
    temp = temp * 1.8 + 32;
    return temp;
}
int16_t UltrasonicProj::receiveUltraOne(){
    int16_t address = 0x11;
    //URM09.beginTran(address);
    URM09.begin(address);
    URM09.measurement();
    int16_t dist1 = URM09.getDistance();
    dist1 = dist1/2.54;
    return dist1;
}
int16_t UltrasonicProj::receiveUltraTwo(){
    int16_t address = 0x12;
    //URM09.beginTran(address);
    URM09.begin(address);
    URM09.measurement();
    int16_t dist2 = URM09.getDistance();
    dist2 = dist2/2.54;
    return dist2;
}
int16_t UltrasonicProj::receiveUltraThree(){
    int16_t address = 0x13;
    //URM09.beginTran(address);
    URM09.begin(address);
    URM09.measurement();
    int16_t dist3 = URM09.getDistance();
    dist3 = dist3/2.54;
    return dist3;
}
int16_t UltrasonicProj::receiveUltraFour(){
    int16_t address = 0x14;
    //URM09.beginTran(address);
    URM09.begin(address);
    URM09.measurement();
    int16_t dist4 = URM09.getDistance();
    dist4 = dist4/2.54;
    return dist4;
}
int16_t UltrasonicProj::receiveUltraFive(){
    int16_t address = 0x15;
    //URM09.beginTran(address);
    URM09.begin(address);
    URM09.measurement();
    int16_t dist5 = URM09.getDistance();
    dist5 = dist5/2.54;
    return dist5;
}
int16_t UltrasonicProj::receiveUltraSix(){
    int16_t address = 0x16;
    //URM09.beginTran(address);
    URM09.begin(address);
    URM09.measurement();
    int16_t dist6 = URM09.getDistance();
    dist6 = dist6/2.54;
    return dist6;
}
#endif